MagickWand: deprecate.c File Reference

# deprecate.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/wand.h"`

## Defines
#define | ThrowWandException(severity, tag, context)
## Functions
WandExport MagickBooleanType | MagickClipPathImage (MagickWand *wand, const char *pathname, const MagickBooleanType inside)
WandExport double | DrawGetFillAlpha (const DrawingWand *wand)
WandExport double | DrawGetStrokeAlpha (const DrawingWand *wand)
WandExport DrawInfo * | DrawPeekGraphicWand (const DrawingWand *wand)
WandExport void | DrawPopGraphicContext (DrawingWand *wand)
WandExport void | DrawPushGraphicContext (DrawingWand *wand)
WandExport void | DrawSetFillAlpha (DrawingWand *wand, const double fill_alpha)
WandExport void | DrawSetStrokeAlpha (DrawingWand *wand, const double stroke_alpha)
WandExport MagickBooleanType | MagickColorFloodfillImage (MagickWand *wand, const PixelWand *fill, const double fuzz, const PixelWand *bordercolor, const long x, const long y)
WandExport char * | MagickDescribeImage (MagickWand *wand)
static MagickWand * | CloneMagickWandFromImages (const MagickWand *wand, Image *images)
WandExport MagickWand * | MagickFlattenImages (MagickWand *wand)
WandExport char * | MagickGetImageAttribute (MagickWand *wand, const char *property)
WandExport long | MagickGetImageIndex (MagickWand *wand)
WandExport MagickBooleanType | MagickGetImageChannelExtrema (MagickWand *wand, const ChannelType channel, unsigned long *minima, unsigned long *maxima)
WandExport MagickBooleanType | MagickGetImageExtrema (MagickWand *wand, unsigned long *minima, unsigned long *maxima)
WandExport MagickBooleanType | MagickMatteFloodfillImage (MagickWand *wand, const double alpha, const double fuzz, const PixelWand *bordercolor, const long x, const long y)
WandExport MagickWand * | MagickMosaicImages (MagickWand *wand)
WandExport MagickBooleanType | MagickOpaqueImage (MagickWand *wand, const PixelWand *target, const PixelWand *fill, const double fuzz)
WandExport MagickBooleanType | MagickPaintFloodfillImage (MagickWand *wand, const ChannelType channel, const PixelWand *fill, const double fuzz, const PixelWand *bordercolor, const long x, const long y)
WandExport MagickBooleanType | MagickPaintOpaqueImage (MagickWand *wand, const PixelWand *target, const PixelWand *fill, const double fuzz)
WandExport MagickBooleanType | MagickPaintOpaqueImageChannel (MagickWand *wand, const ChannelType channel, const PixelWand *target, const PixelWand *fill, const double fuzz)
WandExport MagickBooleanType | MagickPaintTransparentImage (MagickWand *wand, const PixelWand *target, const double alpha, const double fuzz)
WandExport MagickBooleanType | MagickSetImageAttribute (MagickWand *wand, const char *property, const char *value)
WandExport MagickBooleanType | MagickSetImageIndex (MagickWand *wand, const long index)
WandExport MagickBooleanType | MagickSetImageOption (MagickWand *wand, const char *format, const char *key, const char *value)
WandExport MagickBooleanType | MagickTransparentImage (MagickWand *wand, const PixelWand *target, const double alpha, const double fuzz)
WandExport MagickWand * | MagickRegionOfInterestImage (MagickWand *wand, const unsigned long width, const unsigned long height, const long x, const long y)
WandExport MagickSizeType | MagickGetImageSize (MagickWand *wand)
WandExport unsigned char * | MagickWriteImageBlob (MagickWand *wand, size_t *length)
WandExport VirtualPixelMethod | MagickSetImageVirtualPixelMethod (MagickWand *wand, const VirtualPixelMethod method)
WandExport PixelWand ** | PixelGetNextRow (PixelIterator *iterator)
WandExport char * | PixelIteratorGetException (const PixelIterator *iterator, ExceptionType *severity)

## Define Documentation

#define ThrowWandException | ( | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      (void) ThrowMagickException(wand->exception,GetMagickModule(),severity, \
        tag,"`%s'",context); \
      return(MagickFalse); \
    }

## Function Documentation

static MagickWand* CloneMagickWandFromImages | ( | const MagickWand * | wand,
|  | Image * | images |
| ) |  |  | `[static]`

WandExport double DrawGetFillAlpha | ( | const DrawingWand * | wand | ) |

WandExport double DrawGetStrokeAlpha | ( | const DrawingWand * | wand | ) |

WandExport DrawInfo* DrawPeekGraphicWand | ( | const DrawingWand * | wand | ) |

WandExport void DrawPopGraphicContext | ( | DrawingWand * | wand | ) |

WandExport void DrawPushGraphicContext | ( | DrawingWand * | wand | ) |

WandExport void DrawSetFillAlpha | ( | DrawingWand * | wand,
|  | const double | fill_alpha |
| ) |  |  |

WandExport void DrawSetStrokeAlpha | ( | DrawingWand * | wand,
|  | const double | stroke_alpha |
| ) |  |  |

WandExport MagickBooleanType MagickClipPathImage | ( | MagickWand * | wand,
|  | const char * | pathname,
|  | const MagickBooleanType | inside |
| ) |  |  |

WandExport MagickBooleanType MagickColorFloodfillImage | ( | MagickWand * | wand,
|  | const PixelWand * | fill,
|  | const double | fuzz,
|  | const PixelWand * | bordercolor,
|  | const long | x,
|  | const long | y |
| ) |  |  |

WandExport char* MagickDescribeImage | ( | MagickWand * | wand | ) |

WandExport MagickWand* MagickFlattenImages | ( | MagickWand * | wand | ) |

WandExport char* MagickGetImageAttribute | ( | MagickWand * | wand,
|  | const char * | property |
| ) |  |  |

WandExport MagickBooleanType MagickGetImageChannelExtrema | ( | MagickWand * | wand,
|  | const ChannelType | channel,
|  | unsigned long * | minima,
|  | unsigned long * | maxima |
| ) |  |  |

WandExport MagickBooleanType MagickGetImageExtrema | ( | MagickWand * | wand,
|  | unsigned long * | minima,
|  | unsigned long * | maxima |
| ) |  |  |

WandExport long MagickGetImageIndex | ( | MagickWand * | wand | ) |

WandExport MagickSizeType MagickGetImageSize | ( | MagickWand * | wand | ) |

WandExport MagickBooleanType MagickMatteFloodfillImage | ( | MagickWand * | wand,
|  | const double | alpha,
|  | const double | fuzz,
|  | const PixelWand * | bordercolor,
|  | const long | x,
|  | const long | y |
| ) |  |  |

WandExport MagickWand* MagickMosaicImages | ( | MagickWand * | wand | ) |

WandExport MagickBooleanType MagickOpaqueImage | ( | MagickWand * | wand,
|  | const PixelWand * | target,
|  | const PixelWand * | fill,
|  | const double | fuzz |
| ) |  |  |

WandExport MagickBooleanType MagickPaintFloodfillImage | ( | MagickWand * | wand,
|  | const ChannelType | channel,
|  | const PixelWand * | fill,
|  | const double | fuzz,
|  | const PixelWand * | bordercolor,
|  | const long | x,
|  | const long | y |
| ) |  |  |

WandExport MagickBooleanType MagickPaintOpaqueImage | ( | MagickWand * | wand,
|  | const PixelWand * | target,
|  | const PixelWand * | fill,
|  | const double | fuzz |
| ) |  |  |

WandExport MagickBooleanType MagickPaintOpaqueImageChannel | ( | MagickWand * | wand,
|  | const ChannelType | channel,
|  | const PixelWand * | target,
|  | const PixelWand * | fill,
|  | const double | fuzz |
| ) |  |  |

WandExport MagickBooleanType MagickPaintTransparentImage | ( | MagickWand * | wand,
|  | const PixelWand * | target,
|  | const double | alpha,
|  | const double | fuzz |
| ) |  |  |

WandExport MagickWand* MagickRegionOfInterestImage | ( | MagickWand * | wand,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | const long | x,
|  | const long | y |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageAttribute | ( | MagickWand * | wand,
|  | const char * | property,
|  | const char * | value |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageIndex | ( | MagickWand * | wand,
|  | const long | index |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageOption | ( | MagickWand * | wand,
|  | const char * | format,
|  | const char * | key,
|  | const char * | value |
| ) |  |  |

WandExport VirtualPixelMethod MagickSetImageVirtualPixelMethod | ( | MagickWand * | wand,
|  | const VirtualPixelMethod | method |
| ) |  |  |

WandExport MagickBooleanType MagickTransparentImage | ( | MagickWand * | wand,
|  | const PixelWand * | target,
|  | const double | alpha,
|  | const double | fuzz |
| ) |  |  |

WandExport unsigned char* MagickWriteImageBlob | ( | MagickWand * | wand,
|  | size_t * | length |
| ) |  |  |

WandExport PixelWand** PixelGetNextRow | ( | PixelIterator * | iterator | ) |

WandExport char* PixelIteratorGetException | ( | const PixelIterator * | iterator,
|  | ExceptionType * | severity |
| ) |  |  |